aboutsummaryrefslogtreecommitdiff
path: root/applets/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'applets/install.sh')
-rwxr-xr-xapplets/install.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/applets/install.sh b/applets/install.sh
index 2c643f2f2..0173e7a44 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -28,7 +28,8 @@ if [ "$DO_INSTALL_LIBS" != "n" ]; then
for i in $DO_INSTALL_LIBS; do
rm -f $prefix/$libdir/$i || exit 1
if [ -f $i ]; then
- install -m 644 $i $prefix/$libdir/ || exit 1
+ cp -a $i $prefix/$libdir/ || exit 1
+ chmod 0644 $prefix/$libdir/$i || exit 1
fi
done
fi